Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--content/setup/papyrus-rt.setup86
1 files changed, 37 insertions, 49 deletions
diff --git a/content/setup/papyrus-rt.setup b/content/setup/papyrus-rt.setup
index 98a0cc7..1ab5804 100644
--- a/content/setup/papyrus-rt.setup
+++ b/content/setup/papyrus-rt.setup
@@ -51,10 +51,6 @@
name="org.eclipse.emf.compare.rcp.ui.feature.group"/>
<requirement
name="org.eclipse.papyrus.sdk.feature.feature.group"/>
- <requirement
- name="org.eclipse.papyrus.infra.gmfdiag.elk.feature.feature.group"/>
- <requirement
- name="org.eclipse.elk.sdk.feature.feature.group"/>
<repository
url="http://download.eclipse.org/oomph/updates/release/latest/"/>
</setupTask>
@@ -85,20 +81,6 @@
xsi:type="setup:PreferenceTask"
key="/instance/org.eclipse.papyrus.infra.architecture/defaultContext"
value="org.eclipse.papyrusrt.umlrt.architecture"/>
- <!-- Delete these for Oxygen release (but they would be harmless). -->
- <setupTask
- xsi:type="setup:PreferenceTask"
- key="/instance/org.eclipse.papyrus.infra.viewpoints.policy/papyrusViewpointsConfigurationType"
- value="extension"/>
- <setupTask
- xsi:type="setup:PreferenceTask"
- key="/instance/org.eclipse.papyrus.infra.viewpoints.policy/papyrusViewpointsSelectedViewpoint"
- value="UML-RT Viewpoint"/>
- <setupTask
- xsi:type="setup:PreferenceTask"
- key="/instance/org.eclipse.papyrus.infra.viewpoints.policy/papyrusViewpointsSelectedStakeholder"
- value="UML-RT Modeler"/>
- <!-- End delete-me -->
<setupTask
xsi:type="setup:PreferenceTask"
key="/instance/org.eclipse.papyrus.infra.gmfdiag.preferences/PAPYRUS_EDITOR.rulergrid.snaptogrid"
@@ -130,75 +112,81 @@
xsi:type="setup.p2:P2Task">
<requirement
name="org.eclipse.papyrus.sdk.feature.feature.group"
- versionRange="[2.0.3,3.0.0)"/>
+ versionRange="[3.0.0,3.0.1)"/>
<repository
- url="http://download.eclipse.org/papyrus-rt/updates/releases/neon/"/>
+ url="http://download.eclipse.org/papyrus-rt/updates/releases/oxygen/"/>
<repository
- url="http://download.eclipse.org/modeling/emf/compare/updates/logical/emf.compare/integration/"/>
+ url="http://download.eclipse.org/modeling/emf/compare/updates/logical/emf.compare/integration/3.3.1.201707041528/"/>
<repository
url="http://download.eclipse.org/egit/updates/"/>
<repository
- url="http://download.eclipse.org/releases/neon/"/>
+ url="http://download.eclipse.org/releases/oxygen/"/>
<repository
- url="http://download.eclipse.org/modeling/mdt/papyrus/updates/releases/neon/extra/"/>
- <repository
- url="http://download.eclipse.org/modeling/mdt/papyrus/components/designer/neon/1.0.3_papyrus-designer-neon_201/"/>
+ url="http://download.eclipse.org/modeling/mdt/papyrus/components/designer/neon/1.0.4_papyrus-designer-neon_494/"/>
<repository
- url="http://download.eclipse.org/elk/updates/releases/0.1.0/"/>
+ url="http://download.eclipse.org/modeling/mdt/papyrus/interoperability/rsa/updates/oxygen/1.4.0/"/>
</setupTask>
<description>Current (latest) release of Papyrus-RT</description>
</version>
- <version name="0_9"
- label="0.9 release"
+ <version name="1_0"
+ label="1.0 release"
requiredJavaVersion="1.8">
<setupTask
xsi:type="setup.p2:P2Task">
<requirement
name="org.eclipse.papyrus.sdk.feature.feature.group"
- versionRange="[2.0.3,2.0.4)"/>
+ versionRange="[3.0.0,3.0.1)"/>
<repository
- url="http://download.eclipse.org/papyrus-rt/updates/releases/neon/0.9.0/"/>
+ url="http://download.eclipse.org/papyrus-rt/updates/releases/oxygen/1.0.0/"/>
<repository
- url="http://download.eclipse.org/modeling/emf/compare/updates/logical/emf.compare/integration/3.3.0.201703221658/"/>
- <repository
- url="http://download.eclipse.org/egit/updates-4.6.1/"/>
+ url="http://download.eclipse.org/modeling/emf/compare/updates/logical/emf.compare/integration/3.3.1.201707041528/"/>
<repository
- url="http://download.eclipse.org/releases/neon/201703231000/"/>
+ url="http://download.eclipse.org/egit/updates/"/>
<repository
- url="http://download.eclipse.org/modeling/mdt/papyrus/updates/releases/neon/2.0.3/extra/"/>
+ url="http://download.eclipse.org/releases/oxygen/"/>
<repository
- url="http://download.eclipse.org/modeling/mdt/papyrus/components/designer/neon/1.0.3_papyrus-designer-neon_201/"/>
+ url="http://download.eclipse.org/modeling/mdt/papyrus/components/designer/neon/1.0.4_papyrus-designer-neon_494/"/>
<repository
- url="http://download.eclipse.org/elk/updates/releases/0.1.0/"/>
+ url="http://download.eclipse.org/modeling/mdt/papyrus/interoperability/rsa/updates/oxygen/1.4.0/"/>
</setupTask>
- <description>The 0.9 release of Papyrus-RT or its latest service release.</description>
+ <description>The 1.0 release of Papyrus-RT or its latest service release.</description>
</version>
- <version name="0_8"
- label="0.8 release"
+ <version name="0_9"
+ label="0.9 release"
requiredJavaVersion="1.8">
<setupTask
xsi:type="setup.p2:P2Task">
<requirement
name="org.eclipse.papyrus.sdk.feature.feature.group"
- versionRange="[2.0.1,2.0.2)"/>
+ versionRange="[2.0.3,2.0.4)"/>
<repository
- url="http://download.eclipse.org/papyrus-rt/updates/releases/neon/0.8.0/"/>
+ url="http://download.eclipse.org/papyrus-rt/updates/releases/neon/0.9.0/"/>
<repository
- url="http://download.eclipse.org/modeling/emf/compare/updates/logical/emf.compare/integration"/>
+ url="http://download.eclipse.org/modeling/emf/compare/updates/logical/emf.compare/integration/3.3.0.201703221658/"/>
<repository
- url="http://download.eclipse.org/egit/updates"/>
+ url="http://download.eclipse.org/egit/updates-4.6.1/"/>
<repository
- url="http://download.eclipse.org/releases/neon"/>
+ url="http://download.eclipse.org/releases/neon/201703231000/"/>
<repository
- url="http://download.eclipse.org/modeling/mdt/papyrus/updates/releases/neon/extra"/>
+ url="http://download.eclipse.org/modeling/mdt/papyrus/updates/releases/neon/2.0.3/extra/"/>
<repository
url="http://download.eclipse.org/modeling/mdt/papyrus/components/designer/neon/1.0.3_papyrus-designer-neon_201/"/>
<repository
- url="http://download.eclipse.org/tools/cdt/releases/9.1"/>
- <repository
url="http://download.eclipse.org/elk/updates/releases/0.1.0/"/>
</setupTask>
- <description>The 0.8 release of Papyrus-RT or its latest service release.</description>
+ <setupTask
+ xsi:type="setup:PreferenceTask"
+ key="/instance/org.eclipse.papyrus.infra.viewpoints.policy/papyrusViewpointsConfigurationType"
+ value="extension"/>
+ <setupTask
+ xsi:type="setup:PreferenceTask"
+ key="/instance/org.eclipse.papyrus.infra.viewpoints.policy/papyrusViewpointsSelectedViewpoint"
+ value="UML-RT Viewpoint"/>
+ <setupTask
+ xsi:type="setup:PreferenceTask"
+ key="/instance/org.eclipse.papyrus.infra.viewpoints.policy/papyrusViewpointsSelectedStakeholder"
+ value="UML-RT Modeler"/>
+ <description>The 0.9 release of Papyrus-RT or its latest service release.</description>
</version>
<description>Papyrus-RT with tooling, code-generator and run-time, including CDT.</description>
</setup:Product>

Back to the top